package sequoia.test;

import sequoia.*;
import java.sql.*;

public class SimpleTest {
  public static void main(String[] args) throws SQLException {
    PeonFactory pf = new PeonFactory("sequoia.PooledConnectionFactory");
    Peon peon = pf.newPeon();
    boolean result = peon.executeQuery("SELECT COUNT(*) FROM syscat.tables");
    if(result) {
      ResultSet rs = peon.getLastResultSet();
      if(rs.next()) {
        System.out.println(rs.getString(1));
      }
    }
    peon.unsummon();
  }
}