package maiolum;

import org.apache.log4j.PropertyConfigurator;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;
import java.io.IOException;

public class Log4jInitServlet extends HttpServlet {
  public void init() {

    String systemFS = System.getProperty("file.separator");
    String prefix =  getServletContext().getRealPath(systemFS);
    String file = getInitParameter("log4j-init-file");
    // if the log4j-init-file is not set, then no point in trying
    if(file != null) {
      PropertyConfigurator.configure(prefix+file);
    }
  }

  public void doGet(HttpServletRequest req, HttpServletResponse res) {
  }
}
