<%@ page contentType="text/html; charset=windows-1250" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/sql" prefix="sql" %>
<fmt:requestEncoding value="windows-1250" />
<%@ taglib uri="sequoia-taglib.tld" prefix="sequoia" %>

<LINK rel="stylesheet" href="css/style.css">

<FORM method='POST' LANG="sk">
  <CENTER>
    <INPUT TYPE="text" name="tablename" style="width: 100%"><br>
    <INPUT TYPE="hidden" name="action" style="width: 100%" value="columns">

    <INPUT TYPE="SUBMIT" name="submit" value='<%= "Informcie o tabuke" %>'>
  </CENTER>
</FORM>

<c:set var="action" value="${param['action']}" />
<c:set var="tablename" value="${param['tablename']}" />
<sequoia:recodeVar var="tablename" encoding="windows-1250" />


<c:choose>
  <c:when test="${action == 'columns'}">

    <sql:setDataSource dataSource="jdbc/DB2-vyucba" />
    <sql:query var="resultSet">
      select COUNT(viewname), 0 from syscat.views where viewname=UCASE('<c:out value="${tablename}" />')
      union all
      select 0, COUNT(tabname) from syscat.tables where tabname=UCASE('<c:out value="${tablename}" />')
    </sql:query>

    <c:choose>
      <c:when test="${resultSet.rowsByIndex[0][0] == 1}">
        <c:set var="type" value="Pohad" />
      </c:when>
      <c:when test="${resultSet.rowsByIndex[0][1] == 1}">
        <c:set var="type" value="Tabuka" />
      </c:when>
      <c:otherwise>
        <c:remove var="type" />
      </c:otherwise>
    </c:choose>

    <c:if test="${empty type}">
      <center>iadne informcie nie s dostupn alebo tabuka neexistuje.</center>
    </c:if>
    <c:if test="${not empty type}">

      <sql:query var="resultSet">
        select colname, typename, length, nulls, default 
        from syscat.columns c 
        where c.tabname = UCASE('<c:out value="${tablename}" />')
        order by colno
      </sql:query>

      <center><h1><c:out value="${type}" /> <c:out value="${tablename}" /></h1></center>

      <table border=1>
      <tr class="datahead">
        <td>Stpec</td>
        <td>Dtov typ</td>
        <td>Dka</td>
        <td>Nullabilita</td>
        <td>Default hodnota</td>
      </tr>

      <c:forEach var="row" items="${resultSet.rowsByIndex}">
        <tr>
          <td><c:out value="${row[0]}" /></td>
          <td><c:out value="${row[1]}" /></td>
          <td><c:out value="${row[2]}" /></td>
          <td>
            <c:if test="${row[3] == 'Y'}">
              no
            </c:if>
            <c:if test="${row[3] == 'N'}">
              nie
            </c:if>
          </td>
          <td>
            <c:if test="${row[4] == null}">
              iadna
            </c:if>
            <c:if test="${row[4] != null}">
              <c:out value="${row[3]}" />
            </c:if>
          </td>
        </tr>
      </c:forEach>
      </table>

      <!--  ------------------ PRIMARNE KLUCE ---------------------- !-->

      <h3>Primrne ke</h3>
      <sql:query var="resultSet">
        select colname, keyseq from syscat.columns c where c.keyseq>=1
        and c.tabname = UCASE('<c:out value="${tablename}" />');
      </sql:query>

      <table border=1>
      <tr class="datahead">
        <td>Stpec</td>
        <td>Poradie v primrnom ki</td>
      </tr>

      <c:forEach var="row" items="${resultSet.rowsByIndex}">
        <tr>
          <td><c:out value="${row[0]}" /></td>
          <td><c:out value="${row[1]}" /></td>
        </tr>
      </c:forEach>
      </table>

      <!--  ------------------ CUDZIE KLUCE ---------------------- !-->
      <h3>Dovezen ke</h3>
      <sql:query var="resultSet">
        select reftabname, fk_colnames, pk_colnames, constname from syscat.references refs where refs.tabname = UCASE('<c:out value="${tablename}" />')
      </sql:query>

      <table border=1>
      <tr class="datahead">
        <td>Z tabuky</td>
        <td>Stpec s cudzmi kmi</td>
        <td>Dovezen stpec</td>
        <td>Nzov obmedzenia</td>
      </tr>

      <c:forEach var="row" items="${resultSet.rowsByIndex}">
        <tr>
          <td><c:out value="${row[0]}" /></td>
          <td><c:out value="${row[1]}" /></td>
          <td><c:out value="${row[2]}" /></td>
          <td><c:out value="${row[3]}" /></td>
        </tr>
      </c:forEach>
      </table>

      <!--  ------------------ CUDZIE KLUCE - ODVEZENE ---------------------- !-->
      <h3>Odvezen ke - cudzie ke inch tabuliek</h3>
      <sql:query var="resultSet">
        select tabname, fk_colnames, pk_colnames, constname from syscat.references refs where refs.reftabname = UCASE('<c:out value="${tablename}" />')
      </sql:query>

      <table border=1>
      <tr class="datahead">
        <td>Do tabuky</td>
        <td>Odvezen stpec</td>
        <td>Odvezen do stpca</td>
        <td>Nzov obmedzenia</td>
      </tr>

      <c:forEach var="row" items="${resultSet.rowsByIndex}">
        <tr>
          <td><c:out value="${row[0]}" /></td>
          <td><c:out value="${row[1]}" /></td>
          <td><c:out value="${row[2]}" /></td>
          <td><c:out value="${row[3]}" /></td>
        </tr>
      </c:forEach>
      </table>

    </c:if>
  </c:when>
</c:choose>